searchNodes=[{"doc":"Searches the project for markdown files and updates them to include links with embedded PlantUML diagrams whenever there's a markdown comment refering a plantuml diagram also present on the project. Example A markdown file looking like this: # Example &lt; ! -- [ Some Link ] ( . / example_diagram . plantuml ) -- &gt; &lt; ! -- ! [ Some Rendered Diagram ] ( . / example_diagram . plantuml ) -- &gt; Would yield an output like this: # Example [ Some Link ] ( https :// plantuml . com / plantuml / png / JP4v3iCW44NxEGKNI16lKeh8MUj4oWKmfa1om86XyEs36JiP2dZwJupueWieFSRt25CwZJAJj2WUZ6KGT - T0AdHUq3en9hs7taKxI3ylsPan - GAKi - ZTcEzS69ClGLiqEDFC6sFo5GmIPI - 3 Nh8hO_9rcZ - EMg5nDgJvVoRVm2VggDStFncJRo5jOdVCNSH1l9p8XLbSKBprPAOaipPaeY91rLXUKxvLOgRPHlqACDbcbuj0f - sm_DeN ) &lt; ! -- [ Some Link ] ( . / example_diagram . plantuml ) -- &gt; ! [ Some Rendered Diagram ] ( https :// plantuml . com / plantuml / png / JP4v3iCW44NxEGKNI16lKeh8MUj4oWKmfa1om86XyEs36JiP2dZwJupueWieFSRt25CwZJAJj2WUZ6KGT - T0AdHUq3en9hs7taKxI3ylsPan - GAKi - ZTcEzS69ClGLiqEDFC6sFo5GmIPI - 3 Nh8hO_9rcZ - EMg5nDgJvVoRVm2VggDStFncJRo5jOdVCNSH1l9p8XLbSKBprPAOaipPaeY91rLXUKxvLOgRPHlqACDbcbuj0f - sm_DeN ) &lt; ! -- ! [ Some Rendered Diagram ] ( . / example_diagram . plantuml ) -- &gt;","ref":"Mix.Tasks.Plantuml.GenerateMarkdownLinks.html","title":"Mix.Tasks.Plantuml.GenerateMarkdownLinks","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Plantuml.GenerateMarkdownLinks.html#run/1","title":"Mix.Tasks.Plantuml.GenerateMarkdownLinks.run/1","type":"function"},{"doc":"This module provides functions to encode/decode PlantUML's diagrams. See PlantUML's Documentation on text encoding.","ref":"Plantuml.Encoding.html","title":"Plantuml.Encoding","type":"behaviour"},{"doc":"","ref":"Plantuml.Encoding.html#c:decode/1","title":"Plantuml.Encoding.decode/1","type":"callback"},{"doc":"Decodes an encoded diagram. Options :method - the encoding method, can be either :deflate or :hex . Defaults to :deflate Examples iex&gt; Plantuml.Encoding . decode ( &quot;Syp9J4vLqBLJSCfFib9mB2t9ICqhoKnEBCdCprC8IYqiJIqkuGBAAUW2rJY256DHLLoGdrUSoWK0&quot; ) &quot;Alice -&gt; Bob: Authentication Request \\n Bob --&gt; Alice: Authentication Response \\n &quot; iex&gt; Plantuml.Encoding . decode ( &quot;416C696365202D3E20426F623A2041757468656E7469636174696F6E20526571756573740A426F62202D2D3E20416C6963653A2041757468656E7469636174696F6E20526573706F6E73650A&quot; , method : :hex ) &quot;Alice -&gt; Bob: Authentication Request \\n Bob --&gt; Alice: Authentication Response \\n &quot;","ref":"Plantuml.Encoding.html#decode/2","title":"Plantuml.Encoding.decode/2","type":"function"},{"doc":"","ref":"Plantuml.Encoding.html#c:encode/1","title":"Plantuml.Encoding.encode/1","type":"callback"},{"doc":"Encodes a diagram. Options :method - the encoding method, can be either :deflate or :hex . Defaults to :deflate Examples iex&gt; Plantuml.Encoding . encode ( &quot;Alice -&gt; Bob: Authentication Request \\n Bob --&gt; Alice: Authentication Response \\n &quot; ) &quot;Syp9J4vLqBLJSCfFib9mB2t9ICqhoKnEBCdCprC8IYqiJIqkuGBAAUW2rJY256DHLLoGdrUSoWK0&quot; iex&gt; Plantuml.Encoding . encode ( &quot;Alice -&gt; Bob: Authentication Request \\n Bob --&gt; Alice: Authentication Response \\n &quot; , method : :hex ) &quot;416C696365202D3E20426F623A2041757468656E7469636174696F6E20526571756573740A426F62202D2D3E20416C6963653A2041757468656E7469636174696F6E20526573706F6E73650A&quot;","ref":"Plantuml.Encoding.html#encode/2","title":"Plantuml.Encoding.encode/2","type":"function"},{"doc":"Implements PlantUML's deflate type text encoding. See PlantUML's Documentation on text encoding.","ref":"Plantuml.Encoding.Deflate.html","title":"Plantuml.Encoding.Deflate","type":"module"},{"doc":"Decodes encoded_diagram thtat was encoded using deflate method.","ref":"Plantuml.Encoding.Deflate.html#decode/1","title":"Plantuml.Encoding.Deflate.decode/1","type":"function"},{"doc":"Encodes diagram using deflate method.","ref":"Plantuml.Encoding.Deflate.html#encode/1","title":"Plantuml.Encoding.Deflate.encode/1","type":"function"},{"doc":"Implements PlantUML's hex type text encoding. See PlantUML's Documentation on text encoding.","ref":"Plantuml.Encoding.Hex.html","title":"Plantuml.Encoding.Hex","type":"module"},{"doc":"Decodes encoded_diagram thtat was encoded using hex method.","ref":"Plantuml.Encoding.Hex.html#decode/1","title":"Plantuml.Encoding.Hex.decode/1","type":"function"},{"doc":"Encodes diagram using hex method.","ref":"Plantuml.Encoding.Hex.html#encode/1","title":"Plantuml.Encoding.Hex.encode/1","type":"function"},{"doc":"Some functions to work with markdown files referencing plantuml diagrams","ref":"Plantuml.Markdown.html","title":"Plantuml.Markdown","type":"module"},{"doc":"Reads a markdown file at a given location and generate links with encoded PlantUML diagrams whenever there's a markdown comment with a link referencing a plantuml diagram Example A markdown file looking like this: # Example &lt; ! -- [ Some Link ] ( . / example_diagram . plantuml ) -- &gt; &lt; ! -- ! [ Some Rendered Diagram ] ( . / example_diagram . plantuml ) -- &gt; Would yield an output like this: # Example [ Some Link ] ( https :// plantuml . com / plantuml / png / JP4v3iCW44NxEGKNI16lKeh8MUj4oWKmfa1om86XyEs36JiP2dZwJupueWieFSRt25CwZJAJj2WUZ6KGT - T0AdHUq3en9hs7taKxI3ylsPan - GAKi - ZTcEzS69ClGLiqEDFC6sFo5GmIPI - 3 Nh8hO_9rcZ - EMg5nDgJvVoRVm2VggDStFncJRo5jOdVCNSH1l9p8XLbSKBprPAOaipPaeY91rLXUKxvLOgRPHlqACDbcbuj0f - sm_DeN ) &lt; ! -- [ Some Link ] ( . / example_diagram . plantuml ) -- &gt; ! [ Some Rendered Diagram ] ( https :// plantuml . com / plantuml / png / JP4v3iCW44NxEGKNI16lKeh8MUj4oWKmfa1om86XyEs36JiP2dZwJupueWieFSRt25CwZJAJj2WUZ6KGT - T0AdHUq3en9hs7taKxI3ylsPan - GAKi - ZTcEzS69ClGLiqEDFC6sFo5GmIPI - 3 Nh8hO_9rcZ - EMg5nDgJvVoRVm2VggDStFncJRo5jOdVCNSH1l9p8XLbSKBprPAOaipPaeY91rLXUKxvLOgRPHlqACDbcbuj0f - sm_DeN ) &lt; ! -- ! [ Some Rendered Diagram ] ( . / example_diagram . plantuml ) -- &gt;","ref":"Plantuml.Markdown.html#generate_diagram_links/1","title":"Plantuml.Markdown.generate_diagram_links/1","type":"function"},{"doc":"The goal of this project is implement PlantUML tooling for Elixir. Right now it has: Encoding/Decoding of diagrams https://plantuml.com/text-encoding Mix task to generate links with embedded diagrams pointing to a PlantUML web server","ref":"readme.html","title":"Plantuml","type":"extras"},{"doc":"The package can be installed by adding plantuml to your list of dependencies in mix.exs , you don't need to include it on runtime if you're just using the mix task. def deps do [ { :plantuml , &quot;~&gt; 0.1&quot; , only : :dev , runtime : false } ] end But if you need to Encode/Decode diagrams on application runtime you can add the following to your deps: def deps do [ { :plantuml , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"Plantuml - Installation","type":"extras"},{"doc":"You can host your own instance of PlantUML server https://plantuml.com/server . There's also a Docker image available on: https://hub.docker.com/r/plantuml/plantuml-server/ . config :plantuml , plantuml_server_url : &quot;https://your-hosted-plantuml-server.com&quot; The default server url used is https://plantuml.com/plantuml . You can also use Kroki.io public server, this one supports SSL config :plantuml , plantuml_server_url : &quot;https://kroki.io/plantuml&quot;","ref":"readme.html#configuration","title":"Plantuml - Configuration","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/plantuml .","ref":"readme.html#documentation","title":"Plantuml - Documentation","type":"extras"},{"doc":"Running the Mix.Tasks.Plantuml.GenerateMarkdownLinks mix task on the project will search for all markdown files and look for markdown comments with links referencing to a PlantUML file in the project. mix plantuml . generate_markdown_links This feature was inspired by https://github.com/danielyaa5/puml-for-markdown , a CLI tool built with JavaScript. The diagrams are rendered by passing an encoded diagram to a PlantUML Web Service. Example You can add an embedded diagram by adding a comment to your markdown file like this: &lt; ! -- ! [ Diagram Image Link ] ( . / priv / test_assets / example_diagram . plantuml ) -- &gt; Result: You can also render a link to a diagram, by doing the same thing but without prepending the ! &lt; ! -- [ Link to Diagram ] ( . / priv / test_assets / example_diagram . plantuml ) -- &gt; Result: Link to Diagram","ref":"readme.html#auto-update-markdown-files","title":"Plantuml - Auto update markdown files","type":"extras"},{"doc":"See our contribution guidelines and our code of conduct","ref":"readme.html#contributing","title":"Plantuml - Contributing","type":"extras"},{"doc":"Changelog","ref":"readme.html#changelog","title":"Plantuml - Changelog","type":"extras"}]